
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class BeeFire extends CurtainMaker {

  public BeeFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d=0;
  Bullet bl;
  int x=0, y=0;
  int i;

  if ( (timer&15) >= (rank/2) ) return;
  switch ( randN(4) ) {
  case 0:
  case 1:
    x = randN(160<<4); y = randN(16<<4);
    d = 104;
    break;
  case 2:
    x = randN(16<<4); y = randN(120<<4);
    d = 50;
    break;
  case 3:
    x = (160<<4)-1-randN(16<<4); y = randN(120<<4);
    d = 158;
    break;
  }
  for ( i=0 ; i<3 ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[d]*4)>>4);
    bl.point1.y = y - ((costbl[d]*4)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*4)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*4)>>4;
    bl.vctChk = FALSE;
    d += 24;
  }
}

}