
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class BoxFire extends CurtainMaker {

  public BoxFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int[] bfCntOfs = {0, 32, 16, 48};

public void make(int rank) {
  int d;
  Bullet bl;
  int x, y;
  int i;
  int cnt;

  for ( i=0 ; i<rank ; i++ ) {
    cnt = (timer+bfCntOfs[i])&63;
    if ( cnt < 16 ) {
      x = cnt*10; y = 0;
      d = 128 + cnt*4;
    } else if ( cnt < 32 ) {
      cnt -= 16;
      x = 159; y = cnt*10;
      d = 192 + cnt*4;
    } else if ( cnt < 48 ) {
      cnt -= 32;
      x = 159 - cnt*10; y = 159;
      //d = cnt*4;
      d = 32+cnt*2;
    } else {
      cnt -= 48;
      x = 0; y = 159 - cnt*10;
      //d = 64 + cnt*4;
      d = 96 + cnt*2;
    }
    x <<= 4; y <<= 4;
    if ( (bl = nextBullet()) == null ) return;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[d]*12)>>4);
    bl.point1.y = y - ((costbl[d]*12)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*12)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*12)>>4;
    bl.vctChk = FALSE;
  }
}
}