
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class DiaFire extends CurtainMaker {

  public DiaFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d;
  int d1, d2;
  Bullet bl;
  int x, y;
  int wd = 3;

  if ( (timer&15) != 6 ) return;
  if ( (bl = nextBullet()) == null ) return;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  if ( rank >= 10 ) wd = 9;
  else if ( rank >= 6 ) wd = 6;
  d1 = d-wd;
  if ( d1 < 0 ) d1 += 256;
  else if ( d1 >= 256 ) d1 -= 256;
  d2 = d+wd;
  if ( d2 < 0 ) d2 += 256;
  else if ( d2 >= 256 ) d2 -= 256;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  bl.point0.mx = (sintbl[d]*18)>>6;
  bl.point0.my = -(costbl[d]*18)>>6;
  bl.point1.mx = (sintbl[d1]*17)>>6;
  bl.point1.my = -(costbl[d1]*17)>>6;
  bl.point0.x += bl.point0.mx;
  bl.point0.y += bl.point0.my;
  bl.point1.x += bl.point1.mx;
  bl.point1.y += bl.point1.my;
  bl.vctChk = TRUE;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  bl.point0.mx = (sintbl[d]*18)>>6;
  bl.point0.my = -(costbl[d]*18)>>6;
  bl.point1.mx = (sintbl[d2]*17)>>6;
  bl.point1.my = -(costbl[d2]*17)>>6;
  bl.point0.x += bl.point0.mx;
  bl.point0.y += bl.point0.my;
  bl.point1.x += bl.point1.mx;
  bl.point1.y += bl.point1.my;
  bl.vctChk = TRUE;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  bl.point0.mx = (sintbl[d]*16)>>6;
  bl.point0.my = -(costbl[d]*16)>>6;
  bl.point1.mx = (sintbl[d1]*17)>>6;
  bl.point1.my = -(costbl[d1]*17)>>6;
  bl.point0.x += bl.point0.mx;
  bl.point0.y += bl.point0.my;
  bl.point1.x += bl.point1.mx;
  bl.point1.y += bl.point1.my;
  bl.vctChk = FALSE;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  bl.point0.mx = (sintbl[d]*16)>>6;
  bl.point0.my = -(costbl[d]*16)>>6;
  bl.point1.mx = (sintbl[d2]*17)>>6;
  bl.point1.my = -(costbl[d2]*17)>>6;
  bl.point0.x += bl.point0.mx;
  bl.point0.y += bl.point0.my;
  bl.point1.x += bl.point1.mx;
  bl.point1.y += bl.point1.my;
  bl.vctChk = FALSE;
}
}