
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class ExtendFire extends CurtainMaker {

  public ExtendFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private final int AIMFIRE_DEG = 4;

public void make(int rank) {
  int d;
  int i;
  Bullet bl;
  int x, y;
  int r;

  if ( (timer&15) != 2 ) return;
  r = (rank-3)/3; if ( r < 0 ) r = 0;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  d -= r*AIMFIRE_DEG*2;
  if ( d < 0 ) d += 256;
  for ( i=-r ; i<=r ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    if ( d >= 256 ) d -= 256;
    bl.point0.x = bl.point1.x = x;
    bl.point0.y = bl.point1.y = y;
    bl.point0.mx = (sintbl[d]*4)>>4;
    bl.point0.my = -(costbl[d]*4)>>4;
    bl.point1.mx = bl.point0.mx*(3-Math.abs(i)+6)/6;
    bl.point1.my = bl.point0.my*(3-Math.abs(i)+6)/6;
    bl.vctChk = FALSE;
    d += AIMFIRE_DEG*2;
  }
}
}