
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class GoutFire extends CurtainMaker {

  public GoutFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d;
  int d1, d2;
  int i;
  Bullet bl;
  int x, y;

  if ( (timer&15) != 5 ) return;
  if ( (bl = nextBullet()) == null ) return;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  if ( d >= 256 ) d -= 256;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  if ( rank <= 4 ) {
    bl.point0.mx = (sintbl[d]*5)>>4;
    bl.point0.my = -(costbl[d]*5)>>4;
    bl.point1.mx = (sintbl[d]*7)>>4;
    bl.point1.my = -(costbl[d]*7)>>4;
  } else {
    bl.point0.mx = (sintbl[d]*6)>>4;
    bl.point0.my = -(costbl[d]*6)>>4;
    bl.point1.mx = (sintbl[d]*8)>>4;
    bl.point1.my = -(costbl[d]*8)>>4;
  }
  bl.vctChk = FALSE;
  for ( i=0 ; i<9 ; i++ ) {
    int td, spd;
    if ( (bl = nextBullet()) == null ) return;
    td = d + randN(16)-8;
    if ( td < 0 ) td += 256;
    if ( td >= 256 ) td -= 256;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[td]*6)>>4);
    bl.point1.y = y - ((costbl[td]*6)>>4);
    if ( rank <= 4 ) {
      spd = randN(8)+20;
    } else {
      spd = randN(8)+24;
    }
    bl.point0.mx = bl.point1.mx = (sintbl[td]*spd)>>6;
    bl.point0.my = bl.point1.my = -(costbl[td]*spd)>>6;
    bl.vctChk = FALSE;
  }
}

}