
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class SrkVctFire extends CurtainMaker {

  public SrkVctFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d;
  Bullet bl;
  int x, y;
  int vw;
  int i;
  int mx, my;

  if ( (timer&7) != 3 ) return;
  if ( (bl = nextBullet()) == null ) return;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  if ( d >= 256 ) d -= 256;
  vw = (rank/2)*6 + 8;
  mx = ((costbl[d]*vw)>>4)/4;
  my = ((sintbl[d]*vw)>>4)/4;
  x -= mx*2; y -= my*2;
  for ( i=0 ; i<5 ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    d = getDeg(xp-x, yp-y);
    if ( d >= 256 ) d -= 256;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[d]*4)>>4);
    bl.point1.y = y - ((costbl[d]*4)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*4)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*4)>>4;
    bl.vctChk = FALSE;
    x += mx ; y += my;
  }
}

}