
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class VrtLaser extends CurtainMaker {

  public VrtLaser(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private final int VL_SPEED = 12;

private int[] vlx = {20<<4, 50<<4, 80<<4, 110<<4};

public void make(int rank) {
  int i;
  Bullet bl;

  if ( (timer&31) == 0 ) {
    for ( i=0 ; i<rank ; i++ ) {
      vlx[i] = randN(160)<<4;
    }
  }
  if ( (timer&31) > 22 ) return;
  for ( i=0 ; i<rank ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    bl.point0.x = bl.point1.x = vlx[i];
    bl.point0.y = 0;
    bl.point1.y = -(VL_SPEED<<4);
    bl.point0.mx = bl.point1.mx = 0;
    bl.point0.my = bl.point1.my = (VL_SPEED<<4);
    bl.vctChk = FALSE;
  }
}
}