
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class Winder extends CurtainMaker {

  public Winder(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int wdrDeg = 128;
private int wdCnt = 0;

public void make(int rank) {
  int d;
  int i;
  Bullet bl;
  int x, y;
  int wdOfs = 0;
  int wdNmb = rank/2;
  if ( wdNmb < 1 ) wdNmb = 1;

  x = (80<<4); y = 0;
  d = wdrDeg;
  if ( wdNmb > 1 ) {
    wdOfs = 100/wdNmb;
    d -= (wdNmb-1)*wdOfs/2;
  }
  if ( d < 0 ) d += 256;
  for ( i=0 ; i<wdNmb ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    if ( d >= 256 ) d -= 256;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[d]*8)>>4);
    bl.point1.y = y - ((costbl[d]*8)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*8)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*8)>>4;
    bl.vctChk = FALSE;
    d += wdOfs;
  }
  if ( wdCnt<6 || wdCnt>=34 ) wdrDeg += 2;
  else if ( wdCnt>=14 && wdCnt<26 ) wdrDeg -= 2;
  wdCnt++; if ( wdCnt >= 40 ) wdCnt -= 40;
}
}