
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class AimVrtFire extends CurtainMaker {

  public AimVrtFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private final int AIMFIRE_DEG = 4;

public void make(int rank) {
  int d;
  int i;
  Bullet bl;
  int x, y;

  if ( (timer&15) != 4 ) return;
  x = randN(120<<4)+(20<<4); y = randN(16<<4)+(16<<4);
  for ( i=0 ; i<rank ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    x += randN(1024)-512; y += randN(256)-128;
    d = getDeg(xp-x, yp-y);
    if ( d >= 256 ) d -= 256;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x;
    bl.point1.y = y + 96;
    bl.point0.mx = bl.point1.mx = (sintbl[d]*5)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*5)>>4;
    bl.vctChk = TRUE;
    d += AIMFIRE_DEG*2;
  }
}
}