
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class RndVctFire extends CurtainMaker {

  public RndVctFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d, d1, d2;
  int i;
  Bullet bl;
  int x, y;

  if ( (timer&15) != 0 ) return;
  x = 80<<4; y = 0;
  if ( ((timer/16)&1) == 0 ) {
    d = 74;
  } else {
    d = 74+12;
  }
  for ( i=0 ; i<5 ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    d1 = d-rank;
    d2 = d+rank;
    bl.point0.x = bl.point1.x = x;
    bl.point0.y = bl.point1.y = y;
    bl.point0.mx = (sintbl[d1]*4)>>4;
    bl.point0.my = -(costbl[d1]*4)>>4;
    bl.point1.mx = (sintbl[d2]*4)>>4;
    bl.point1.my = -(costbl[d2]*4)>>4;
    bl.point0.x += bl.point0.mx;
    bl.point0.y += bl.point0.my;
    bl.point1.x += bl.point1.mx;
    bl.point1.y += bl.point1.my;
    bl.vctChk = TRUE;
    d += 24;
  }
}

}