
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.texturemaker;

import java.util.Random;

/**
 * abstract class for texture drawers
 */
public abstract class TextureMaker {
  public static final int TNLTEX_WIDTH = 80;
  public static final int TNLTEX_HEIGHT = 80;

  private static Random rnd = new Random();

  protected int randN(int n) {
    return Math.abs(rnd.nextInt())%n;
  }

  public int[] texture;

  public TextureMaker() {
    texture = new int[TNLTEX_WIDTH*TNLTEX_HEIGHT];
  }

  public void clear() {
    for ( int i=0 ; i<texture.length ; i++ ) {
      texture[i] = 0xff000000;
    }
  }

  public abstract void start();
  public abstract boolean draw(boolean halfFrameRate);
}
